#!/usr/bin/perl
use strict;

my $crop="146x40+52+203";
my $outOpt="-append -depth 8 -colorspace sRGB -alpha off -define png:color-type=6";
system("montage ../gt-*.pgm -tile 4x -crop $crop -geometry +0+0 miff:- | convert miff:- -background Green -pointsize 24 label:GroundTruth -gravity center $outOpt 1groundTruth.png");
system("montage ../b???w???*.tif -tile 4x -crop $crop -geometry +0+0 miff:- | convert miff:- -background Green -pointsize 24 label:Original -gravity center -append $outOpt 0original.png");

for my $d (grep { -d $_ && $_!~/[A-Z]/ } glob("*")) {
  system("montage $d/*.png -tile 4x -crop $crop -geometry +0+0 miff:- | convert miff:- -background Khaki -pointsize 24 label:$d -gravity center -append $outOpt $d.png");
}

system("convert *.png vergl.tif");
