#!/usr/bin/perl
use strict;

# ./sauvola-0.275/OCR-D-N1_0002-BIN_sauvola.png.tif
# ./sauvola-ms-split-0.225/OCR-D-N1_0001-BIN_sauvola-ms-split.png.tif

print "montage b???w*.tif -tile 1x -geometry +0+0 miff:- | convert - -background Green -pointsize 96 label:'Original 25%%' -gravity Center -append -depth 16 -colorspace RGB -filter Box -resize 25% -colorspace sRGB -strip 0.000.pgm\n";
print "montage gt-*.pgm -tile 1x -geometry +0+0 miff:- | convert - -background Green -pointsize 96 label:'Ground Truth' -gravity Center -append -depth 16 -colorspace RGB -filter Box -resize 25% -colorspace sRGB -strip 0.001.pgm\n";
for(my $i=0.025; $i<0.499; $i+=0.025) {
	my $ii=sprintf("%.3f", $i);
	print "montage sauvola-$ii/OCR-D-N1_????-BIN_sauvola.png -tile 1x -geometry +0+0 miff:- | convert - -background Khaki -pointsize 96 label:'sauvola k=$ii' -gravity Center -append -depth 16 -colorspace RGB -filter Box -resize 25% -colorspace sRGB -strip $ii.pgm\n";
}

